<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text"/>

<!-- Sector Dumps -->
  <xsl:output 
      method="text" 
      version="5.0" 
      encoding="UTF-8" 
      omit-xml-declaration="yes" 
      indent="yes"/>
   <xsl:template name="AddZeros">
    <xsl:param name="index" />
	<xsl:choose>
        <xsl:when test="string-length($index) = 1">
          <xsl:value-of select="concat('000000000000000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 2">
          <xsl:value-of select="concat('00000000000000', $index)" />
        </xsl:when>
		<xsl:when test="string-length($index) = 3">
          <xsl:value-of select="concat('0000000000000', $index)" />
        </xsl:when>
		<xsl:when test="string-length($index) = 4">
          <xsl:value-of select="concat('000000000000', $index)" />
        </xsl:when>
		<xsl:when test="string-length($index) = 5">
          <xsl:value-of select="concat('00000000000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 6">
          <xsl:value-of select="concat('0000000000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 7">
          <xsl:value-of select="concat('000000000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 8">
          <xsl:value-of select="concat('00000000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 9">
          <xsl:value-of select="concat('0000000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 10">
          <xsl:value-of select="concat('000000', $index)" />
        </xsl:when>    
        <xsl:when test="string-length($index) = 11">
          <xsl:value-of select="concat('00000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 12">
          <xsl:value-of select="concat('0000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 13">
          <xsl:value-of select="concat('000', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 14">
          <xsl:value-of select="concat('00', $index)" />
        </xsl:when>
        <xsl:when test="string-length($index) = 15">
          <xsl:value-of select="concat('0', $index)" />
        </xsl:when>        
      </xsl:choose>
	</xsl:template>
	  
  <xsl:template name="ConvertDecToHex">
    <xsl:param name="index" />
	<xsl:param name="EntryCount" select="number(0)" />
	<xsl:choose>
        <xsl:when test="($index + $EntryCount) = 0">
          <xsl:value-of select="0" />
        </xsl:when>
        <xsl:otherwise>
	
	<xsl:if test="$index > 0">
    <xsl:call-template name="ConvertDecToHex">
        <xsl:with-param name="index" select="floor($index div 16)" />
    		<xsl:with-param name="EntryCount" select="number($EntryCount + 1)" />
    </xsl:call-template>
      <xsl:choose>
        <xsl:when test="$index mod 16 &lt; 10">
          <xsl:value-of select="$index mod 16" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="$index mod 16 = 10">A</xsl:when>
            <xsl:when test="$index mod 16 = 11">B</xsl:when>
            <xsl:when test="$index mod 16 = 12">C</xsl:when>
            <xsl:when test="$index mod 16 = 13">D</xsl:when>
            <xsl:when test="$index mod 16 = 14">E</xsl:when>
            <xsl:when test="$index mod 16 = 15">F</xsl:when>
            <xsl:otherwise>A</xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
	  </xsl:if >
	   </xsl:otherwise>
    </xsl:choose>
  </xsl:template>	  

<xsl:template name="AlignHex2Dec">
    <xsl:param name="index"/>
	<xsl:param name="ShouldAddZeros"/>
    <xsl:variable name="firstHex">
                <xsl:call-template name="ConvertDecToHex">
			       <xsl:with-param name="index" select="number($index)"/>
		        </xsl:call-template>
            </xsl:variable>   0x<xsl:variable name="firstHexval">
				<xsl:choose>
				    <xsl:when test="$ShouldAddZeros='true'">
            <xsl:call-template name="AddZeros">
			    <xsl:with-param name="index" select="$firstHex" />
		    </xsl:call-template>    
					</xsl:when>
					<xsl:otherwise>
					    <xsl:value-of select="$firstHex" />
					</xsl:otherwise>
				</xsl:choose>
            </xsl:variable>
            <xsl:value-of select="$firstHexval" />
</xsl:template>

<xsl:template name="tokenize">
    <xsl:param name="text"/>
 <xsl:param name="currentRow"/>
 <xsl:variable name="currentRowHexValue">
  <xsl:call-template name="ConvertDecToHex">
   <xsl:with-param name="index" select="$currentRow" />
  </xsl:call-template>
 </xsl:variable>
 <xsl:variable name="currentRowHex">
  <xsl:call-template name="AddZeros">
   <xsl:with-param name="index" select="$currentRowHexValue" />
  </xsl:call-template>
 </xsl:variable>
 
    <xsl:choose>
  <xsl:when test="string-length($text) &lt; 1" />
        <xsl:when test="string-length($text) &lt; 47">
           <xsl:text>
          </xsl:text><xsl:value-of select="$currentRowHex" />: <xsl:value-of select="$text"/>

        </xsl:when>
        <xsl:otherwise>
    <xsl:text>
          </xsl:text><xsl:value-of select="$currentRowHex" />: <xsl:value-of select="substring($text, 1, 47)"/>
            <xsl:call-template name="tokenize">
                <xsl:with-param name="text" select="substring($text, 49, string-length($text)-47)"/>
    <xsl:with-param name="currentRow" select="number($currentRow) + 16"/>
            </xsl:call-template>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<!-- Size formatting from bytes -->
<xsl:template name="format-bsize">
    <xsl:param name="StSize"/>
    <xsl:variable name="Size" select="number($StSize)"/>
         <xsl:choose>
             <xsl:when test="$Size >= (1024*1024*1024*1024)">
                 <xsl:value-of select="format-number($Size div (1024*1024*1024*1024), '#.00')"/> QT_TRANSLATE_NOOP("QObject", "TB")</xsl:when>
             <xsl:when test="$Size >= (1024*1024*1024) and $Size &lt; (1024*1024*1024*1024)">
             <xsl:value-of select="format-number($Size div (1024*1024*1024), '#.00')"/> QT_TRANSLATE_NOOP("QObject", "GB")</xsl:when>
             <xsl:when test="$Size >= (1024*1024) and $Size &lt; (1024*1024*1024)">
                 <xsl:value-of select="format-number($Size div (1024*1024), '#.00')"/> QT_TRANSLATE_NOOP("QObject", "MB")</xsl:when>
             <xsl:when test="$Size >= 1024 and $Size &lt; (1024*1024)">
                 <xsl:value-of select="format-number($Size div 1024, '#.00')"/> QT_TRANSLATE_NOOP("QObject", "KB")</xsl:when>
             <xsl:otherwise>
                 <xsl:value-of select="format-number($Size, '#.00')"/> QT_TRANSLATE_NOOP("QObject", "B")
             </xsl:otherwise>
         </xsl:choose>
</xsl:template>

<!-- Duration -->
<xsl:template name="format-duration">
    <xsl:param name="StDuration"/>
    <xsl:variable name="seconds" select="number($StDuration)"/>
        <xsl:variable name="days" select="floor($seconds div (24*3600))"/>
        <xsl:if test="$days > 0">
        <xsl:value-of select="format-number($days, '#')"/>.</xsl:if><xsl:value-of select="format-number(floor($seconds div (60*60)) mod 24, '00')"/>
        <xsl:value-of select="format-number(floor($seconds div 60) mod 60, ':00')"/>
        <xsl:value-of select="format-number($seconds mod 60, ':00')"/>
</xsl:template>

<xsl:template name="repeatSpanceCountTimes">
  <xsl:param name="output" />
  <xsl:param name="count" />
  <xsl:if test="$count &gt; 0">
    <xsl:value-of select="$output" />
    <xsl:call-template name="repeatSpanceCountTimes">
      <xsl:with-param name="output" select="$output" />
      <xsl:with-param name="count" select="$count - 1" />
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template name="print">
  <xsl:param name="name" />
  <xsl:param name="value" />
  <xsl:value-of select="'      '" />
  <xsl:value-of select="$name" />
  <xsl:call-template name="repeatSpanceCountTimes">
      <xsl:with-param name="output" select="' '" />
      <xsl:with-param name="count" select="50 - string-length($name)" />
  </xsl:call-template>
  <xsl:value-of select="$value" />
  <xsl:text>&#xd;</xsl:text>
</xsl:template>

<xsl:template name="printIf">
  <xsl:param name="condition" />
  <xsl:param name="name" />
  <xsl:param name="value" />
<xsl:if test="$condition">
<xsl:call-template name="print">
  <xsl:with-param name="name" select="$name" />
  <xsl:with-param name="value" select="$value" />
</xsl:call-template>
</xsl:if>
</xsl:template>

<!-- Wipe Date -->
<xsl:template name="format-wipedate">
    <xsl:param name="WipeDate"/>
    <xsl:value-of select="substring($WipeDate, 1, 10)"/>
</xsl:template>

<xsl:template match="/">
      QT_TRANSLATE_NOOP("QObject", "DATA SANITIZATION REPORT")

      QT_TRANSLATE_NOOP("QObject", "Customer Information")
      ______________________
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Person:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='CustomerName']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Company:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='CompanyName']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Company address:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='CompanyAddress']" />
</xsl:call-template>
	  
      QT_TRANSLATE_NOOP("QObject", "Report Information")
      _______________________
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Status:")</xsl:with-param>
  <xsl:with-param name="value">
    <xsl:variable name="Status" select="(/data/properties/property[@name='Status'])"/>
    <xsl:choose>
      <xsl:when test="$Status = 'Successful'">
         <xsl:text>QT_TRANSLATE_NOOP("QObject", "Successful")</xsl:text>
      </xsl:when>
       <xsl:when test="$Status = 'Failed'">
         <xsl:text>QT_TRANSLATE_NOOP("QObject", "Failed")</xsl:text>
      </xsl:when>
      <xsl:otherwise>
          <xsl:value-of select="$Status"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:with-param>
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Report date:")</xsl:with-param>
  <xsl:with-param name="value">
     <xsl:call-template name="format-wipedate">
		<xsl:with-param name="WipeDate" select="/data/properties/property[@name='WipeDate']"/>
	 </xsl:call-template>
  </xsl:with-param>
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Tool name:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='ToolName']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Service tag:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='ServiceTag']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Report ID:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='ReportID']" />
</xsl:call-template>
	<xsl:variable name="IsincludeSystemInfo" select="(/data/properties/property[@name='includeSystemInfo'])"/>
	<xsl:choose>
	<xsl:when test="$IsincludeSystemInfo = 'true'">
	
      QT_TRANSLATE_NOOP("QObject", "System Information")
      _______________________    
<xsl:if test="/data/properties/property[@name='SysInfoComputerName']">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Computer name:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='SysInfoComputerName']" />
</xsl:call-template>	
</xsl:if>
<xsl:if test="/data/properties/property[@name='SysInfoOsVersion']">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Operating system:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='SysInfoOsVersion']" />
</xsl:call-template></xsl:if>
<xsl:if test="/data/properties/property[@name='SysInfoProductId']">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Product ID:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='SysInfoProductId']" />
</xsl:call-template>	
</xsl:if>
<xsl:if test="/data/properties/property[@name='SysInfoBiosVersion']">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "BIOS Version:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='SysInfoBiosVersion']" />
</xsl:call-template></xsl:if>
<xsl:if test="/data/properties/property[@name='SysInfoBiosDate']">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "BIOS Date:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='SysInfoBiosDate']" />
</xsl:call-template></xsl:if>
	</xsl:when>
	</xsl:choose>	  	  
	
      QT_TRANSLATE_NOOP("QObject", "Wipe Information")
      _______________________
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Operation:")</xsl:with-param>
  <xsl:with-param name="value">
    <xsl:variable name="FreeSpaceOnly" select="/data/properties/property[@name='FreeSpaceOnly']"/>
	<xsl:choose>
	  <xsl:when test="$FreeSpaceOnly = 'No'">QT_TRANSLATE_NOOP("QObject", "Wipe out all the data")</xsl:when>
	  <xsl:otherwise>QT_TRANSLATE_NOOP("QObject", "Wipe free space")</xsl:otherwise>
	</xsl:choose>
  </xsl:with-param>
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Wipe object:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='WipeObject']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Serial number:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='SerialNumber']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Model number:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='ModelNumber']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Disk ID:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='DiskID']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Object size:")</xsl:with-param>
  <xsl:with-param name="value">
      <xsl:call-template name="format-bsize">
	      <xsl:with-param name="StSize" select="/data/properties/property[@name='ObjectSize']"/>
      </xsl:call-template> 
  </xsl:with-param>
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Start time:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='StartTime']" />
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Duration:")</xsl:with-param>
  <xsl:with-param name="value">
      <xsl:call-template name="format-duration">
	    <xsl:with-param name="StDuration" select="/data/properties/property[@name='Duration']"/>
	  </xsl:call-template>
  </xsl:with-param>
</xsl:call-template>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Wipe stamp:")</xsl:with-param>
  <xsl:with-param name="value">
      <xsl:variable name="WipeStamp" select="/data/properties/property[@name='SetWipeStamp']"/>
	  <xsl:choose>
	    <xsl:when test="$WipeStamp = 'No'">QT_TRANSLATE_NOOP("QObject", "Not created")</xsl:when>
		<xsl:otherwise>QT_TRANSLATE_NOOP("QObject", "Created")</xsl:otherwise>
	  </xsl:choose> 
  </xsl:with-param>
</xsl:call-template>

                      
<xsl:variable name="SystemID" select="/data/properties/property[@name='SystemID']"/><xsl:choose><xsl:when test="$SystemID != '' and /data/properties/property[@name='SystemID']">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "System ID:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='SystemID']" />
</xsl:call-template></xsl:when></xsl:choose> 

      QT_TRANSLATE_NOOP("QObject", "Algorithm Information")
      _______________________
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Wipe method:")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='WipeMethod']" />
</xsl:call-template>
<xsl:variable name="PassCount" select="number(/data/properties/property[@name='PassCount'])"/><xsl:choose><xsl:when test="$PassCount != 0">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Pass count:")</xsl:with-param>
  <xsl:with-param name="value" select="$PassCount" />
</xsl:call-template></xsl:when></xsl:choose>
	  <xsl:variable name="Mask1" select="number(/data/properties/property[@name='Mask1'])"/><xsl:choose><xsl:when test="$Mask1 &lt;256">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Pass: ") <xsl:value-of select="/data/properties/property[@name='PassCount1']"/></xsl:with-param>
  <xsl:with-param name="value">QT_TRANSLATE_NOOP("QObject", "Mask: ") <xsl:call-template name="AlignHex2Dec"><xsl:with-param name="index" select="/data/properties/property[@name='Mask1']"/><xsl:with-param name="ShouldAddZeros" select="'false'"/></xsl:call-template></xsl:with-param>
</xsl:call-template></xsl:when></xsl:choose>
      <xsl:variable name="Mask2" select="number(/data/properties/property[@name='Mask2'])"/><xsl:choose><xsl:when test="$Mask2 &lt;256">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Pass: ") <xsl:value-of select="/data/properties/property[@name='PassCount2']"/></xsl:with-param>
  <xsl:with-param name="value">QT_TRANSLATE_NOOP("QObject", "Mask: ") <xsl:call-template name="AlignHex2Dec"><xsl:with-param name="index" select="/data/properties/property[@name='Mask2']"/><xsl:with-param name="ShouldAddZeros" select="'false'"/></xsl:call-template></xsl:with-param>
</xsl:call-template></xsl:when></xsl:choose>
	  <xsl:variable name="Mask3" select="number(/data/properties/property[@name='Mask3'])"/><xsl:choose><xsl:when test="$Mask3 &lt;256">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Pass: ") <xsl:value-of select="/data/properties/property[@name='PassCount3']"/></xsl:with-param>
  <xsl:with-param name="value">QT_TRANSLATE_NOOP("QObject", "Mask: ") <xsl:call-template name="AlignHex2Dec"><xsl:with-param name="index" select="/data/properties/property[@name='Mask3']"/><xsl:with-param name="ShouldAddZeros" select="'false'"/></xsl:call-template></xsl:with-param>
</xsl:call-template></xsl:when></xsl:choose>
	  <xsl:variable name="Mask4" select="number(/data/properties/property[@name='Mask4'])"/><xsl:choose><xsl:when test="$Mask4 &lt;256">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Pass: ") <xsl:value-of select="/data/properties/property[@name='PassCount4']"/></xsl:with-param>
  <xsl:with-param name="value">QT_TRANSLATE_NOOP("QObject", "Mask: ") <xsl:call-template name="AlignHex2Dec"><xsl:with-param name="index" select="/data/properties/property[@name='Mask4']"/><xsl:with-param name="ShouldAddZeros" select="'false'"/></xsl:call-template></xsl:with-param>
</xsl:call-template></xsl:when></xsl:choose>
	  <xsl:variable name="GroupPasses" select="number(/data/properties/property[@name='GroupPasses'])"/><xsl:choose><xsl:when test="$Mask1 &lt;256">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Pass count for the group of patterns: ")</xsl:with-param>
  <xsl:with-param name="value" select="/data/properties/property[@name='GroupPasses']" />
</xsl:call-template></xsl:when></xsl:choose>
	  <xsl:variable name="VerifyPassesCount" select="number(/data/properties/property[@name='VerifyPassesCount'])"/><xsl:choose><xsl:when test="$VerifyPassesCount != 0">
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Verify passes count:")</xsl:with-param>
  <xsl:with-param name="value" select="$VerifyPassesCount" />
</xsl:call-template></xsl:when><xsl:otherwise /></xsl:choose>
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Percentage of sectors to check:")</xsl:with-param>
  <xsl:with-param name="value">
    <xsl:value-of select="/data/properties/property[@name='PercentageOfSectorsToCheck']"/>%  	       
  </xsl:with-param>
</xsl:call-template>          

      QT_TRANSLATE_NOOP("QObject", "Bad Block Information")
      _______________________
<xsl:call-template name="print">
  <xsl:with-param name="name">QT_TRANSLATE_NOOP("QObject", "Total bad blocks:")</xsl:with-param>
  <xsl:with-param name="value">
    <xsl:variable name="TotalBadBlocks" select="number(/data/properties/property[@name='TotalBadBlocks'])"/>
	<xsl:choose>
	  <xsl:when test="$TotalBadBlocks = 0">QT_TRANSLATE_NOOP("QObject", "No bad blocks found")</xsl:when>
	  <xsl:otherwise><xsl:value-of select="$TotalBadBlocks"/></xsl:otherwise></xsl:choose>         
  </xsl:with-param>
</xsl:call-template>
	  <xsl:variable name="DumpNeeded" select="(/data/properties/property[@name='IsDumpNeeded'])"/><xsl:choose><xsl:when test="$DumpNeeded = 'true'">
	  
      QT_TRANSLATE_NOOP("QObject", "Dump")
      _______________________
      QT_TRANSLATE_NOOP("QObject", "First sector:")      <xsl:call-template name="AlignHex2Dec">
                                        <xsl:with-param name="index" select="/data/properties/property[@name='FirstSector']"/>
										<xsl:with-param name="ShouldAddZeros" select="'true'"/>
                                        </xsl:call-template><xsl:call-template name="tokenize">
                                        <xsl:with-param name="text" select="/data/properties/property[@name='FirstSectorDump']"/>
                                        <xsl:with-param name="currentRow" select="16"/></xsl:call-template>

      QT_TRANSLATE_NOOP("QObject", "Middle sector:")     <xsl:call-template name="AlignHex2Dec">
                                        <xsl:with-param name="index" select="/data/properties/property[@name='MiddleSector']"/>
										<xsl:with-param name="ShouldAddZeros" select="'true'"/>
                                        </xsl:call-template>
                                        <xsl:call-template name="tokenize">
                                        <xsl:with-param name="text" select="/data/properties/property[@name='MiddleSectorDump']"/>
                                        <xsl:with-param name="currentRow" select="16"/></xsl:call-template>

      QT_TRANSLATE_NOOP("QObject", "End sector:")        <xsl:call-template name="AlignHex2Dec">
                                        <xsl:with-param name="index" select="/data/properties/property[@name='EndSector']"/>
										<xsl:with-param name="ShouldAddZeros" select="'true'"/>
                                        </xsl:call-template>
                                        <xsl:call-template name="tokenize">
                                        <xsl:with-param name="text" select="/data/properties/property[@name='EndSectorDump']"/>
                                        <xsl:with-param name="currentRow" select="16"/></xsl:call-template></xsl:when></xsl:choose>
    
	
	<xsl:variable name="SignatureNeeded" select="(/data/properties/property[@name='IsSignatureNeeded'])"/><xsl:choose><xsl:when test="$SignatureNeeded = 'true'">
	
      QT_TRANSLATE_NOOP("QObject", "Hereby is confirmed that the wipe operation has been carried out according to instructions given by the software provider")
	  _______________________               _______________________ 
             QT_TRANSLATE_NOOP("QObject", "Wipe executive")                           QT_TRANSLATE_NOOP("QObject", "Supervisor")</xsl:when></xsl:choose>
  </xsl:template>

</xsl:stylesheet>
